Zoom Phone - April 18, 2022

New

API

  • Group call pickup

    • GET /v2/phone/group_call_pickup
    • POST /v2/phone/group_call_pickup
    • GET /v2/phone/group_call_pickup/{groupId}
    • PATCH /v2/phone/group_call_pickup/{groupId}
    • DELETE /v2/phone/group_call_pickup/{groupId}
    • GET /v2/phone/group_call_pickup/{groupId}/members
    • POST /v2/phone/group_call_pickup/{groupId}/members
    • DELETE /v2/phone/group_call_pickup/{groupId}/members/{extensionId}
  • Devices

    • POST /v2/phone/devices/{deviceId}/extensions
    • DELETE /v2/phone/devices/{deviceId}/extensions/{extensionId}

Events (Release scheduled on 4/23)

  • Phone recording

    • phone.recording_paused
    • phone.recording_resumed

Enhancements

  • New request fields (short_extension, default_emergency_address) in Update phone site details API

    • PATCH /v2/phone/sites/{siteId}
  • Changed the rate limit label of Delete an emergency address API from Light to Heavy

    • DELETE /v2/phone/emergency_addresses/{emergencyAddressId}

Call logs

  • New response fields (caller_number_source, callee_number_source) in call logs API

    • GET /v2/phone/call_logs/{callLogId}
    • GET /v2/phone/call_logs
    • GET /v2/phone/users/{userId}/call_logs
    • GET /v2/phone/users/{userId}/call_logs/sync
  • New fields (caller_number_source,callee_number_source) in call logs webhook events

    • phone.caller_call_log_completed
    • phone.callee_call_log_completed

    Common area changes

  • Sunsetresponse header added to common area phones API

    • POST /v2/phone/common_area_phones
    • GET /v2/phone/common_area_phones
    • GET /v2/phone/common_area_phones/{commonAreaPhoneId}
    • PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}
    • DELETE /v2/phone/common_area_phones/{commonAreaPhoneId}
    • PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}/calling_plans
    • DELETE /v2/phone/common_area_phones/{commonAreaId}/calling_plans/{type}
    • PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}/phone_numbers
    • DELETE /v2/phone/common_area_phones/{commonAreaId}/phone_numbers/{phoneNumberId}
  • New response field (common_area_optimized) in common area phones API

    • POST /v2/phone/common_area_phones
    • GET /v2/phone/common_area_phones/{commonAreaPhoneId}

Call queues

  • New request field (common_area_ids) in POST call queues API

    • POST /v2/phone/call_queues
    • POST /v2/phone/call_queues/{callQueueId}/members
  • New response fields (common_areas,extension_id) in Get call queue detail API

    • GET /v2/phone/call_queues/{callQueueId}
  • Unassign a member from call queue API supports deleting a member of the common area from the call queue

    • DELETE /v2/phone/call_queues/{callQueueId}/members/{memberId}

Devices

  • New response fields (provision_template_id,extension_id) in GET devices API

    • GET /v2/phone/devices
    • GET /v2/phone/devices/{deviceId}
  • New request field (provision_template_id) in Update a device API

    • PATCH /v2/phone/devices
  • New request fields (assignee_extension_ids, provision_template_id) in Add a device API

    • POST /v2/phone/devices